import javax.realtime.*;

public class OSTimer {
    static boolean stopLooping = false;
    
    public static void main(String [] args){
        AsyncEventHandler handler = new AsyncEventHandler() {
                public void handleAsyncEvent(){
                    stopLooping = true;
                }
            };
	
        OneShotTimer timer = new OneShotTimer(
                               new RelativeTime(10000, 0),
                               handler);
        
        timer.start();
        while(!stopLooping){
            System.out.println("Running");
            try {
                Thread.sleep(1000);
            } catch(Exception e){}
        }

        System.exit(0);
    }
}
