import javax.realtime.*;

public class Dog {
    static final int TIMEOUT=2000;		// 2 seconds

    public static void main(String [] args){
        double d;
        long n;
        AsyncEventHandler handler = new AsyncEventHandler() {
                public void handleAsyncEvent(){
                    System.err.println("Emergency reset!!!");
                    System.exit(1);
                }
            };

        RelativeTime timeout = new RelativeTime(TIMEOUT, 0);
	
        OneShotTimer dog = new OneShotTimer(
                             timeout, 	// Watchdog interval
                             handler);
        dog.start();
        while(true){
            d = java.lang.Math.random();
            n = (long)(d * TIMEOUT + 400);
            System.out.println("Running t=" + n);
            try {
                Thread.sleep(n);
            } catch(Exception e){}
            dog.reschedule(timeout);
        }
    }
}
