import javax.realtime.*;

import com.timesys.Dispatcher;

public class PSignal extends RealtimeThread {
  static int sigs=0;

  public void run(){
    AsyncEventHandler handler = new SigHandler();

    POSIXSignalHandler.addHandler(POSIXSignalHandler.SIGINT,
			handler); 
    //	Here we really need to fire signals from outside the
    //  JVM.  On the RTSJ RI (version 1.0.3)
    //  Use kill -s SIGINT to the jamaicavm process.
    System.out.println("Use ps to get this process' PID");
    System.out.println("and kill -s SIGINT to send it a signal.");
		
    try {
      Thread.sleep(20000); //	Let the AEH run for 20 seconds
    } catch(Exception e){}
    POSIXSignalHandler.removeHandler(POSIXSignalHandler.SIGINT,
                                     handler);
    System.exit(0);
  }

  public static void main(String [] args){
    PSignal rt = new PSignal();
    rt.start();
    try {
      rt.join();
    } catch (InterruptedException e){}
    System.exit(0);
  }
}
