import javax.realtime.*;

public class PTimer {
	public static void main(String [] args){
		AsyncEventHandler handler = new AsyncEventHandler() {
			public void handleAsyncEvent(){
				System.out.println("tick");
			}
		};
			
		PeriodicTimer timer = new PeriodicTimer(
			null,	   // Start now
			new RelativeTime(1500, 0),
			handler);

		timer.start();
		try {
			Thread.sleep(20000);
		} catch(Exception e){ }
                
		timer.removeHandler(handler);

                System.exit(0);
	}
}
